# Playbook created by NCS Pte Ltd
# Only applicable to use in ancenter system
# Last modified:Tue Mar 28 15:13:32 +08 2023
# Version:1
- name: Ancenter Report Output
  set_fact:
    reportfile: "{{myreportpath}}/{{reportname}}"
  no_log: no
- name: Create report
  template:
    src: "{{templatepath}}"
    dest: "{{reportfile}}"
    owner: ancenter
    group: ancenter
  ignore_errors: yes
- include_tasks: /etc/ansible/subtasks/report/adhocemail.yml
  when: emailrequire and smtpserver is defined
  ignore_errors: yes
